Bug 1076456 - Review Request: mingw-libid3tag - ID3 tag manipulation library
Summary: Review Request: mingw-libid3tag - ID3 tag manipulation library
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: František Dvořák
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 970411 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-14 11:39 UTC by David King
Modified: 2014-07-03 04:07 UTC (History)
4 users (show)

Fixed In Version: mingw-libid3tag-0.15.1b-18.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-03 04:07:17 UTC
valtri: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description David King 2014-03-14 11:39:23 UTC
Spec URL: http://amigadave.fedorapeople.org/mingw-libid3tag.spec
SRPM URL: http://amigadave.fedorapeople.org/mingw-libid3tag-0.15.1b-15.fc20.src.rpm
Description: libid3tag is a library for reading and (eventually) writing ID3 tags, both ID3v1 and the various versions of ID3v2.
Fedora Account System Username: amigadave

Comment 1 David King 2014-03-14 11:43:17 UTC
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6632320

Comment 2 David King 2014-03-14 12:46:10 UTC
*** Bug 970411 has been marked as a duplicate of this bug. ***

Comment 3 František Dvořák 2014-06-24 12:51:24 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


Issues:
=======

Only problem seems to be rpmlint crying about changed address of the Bearded Guy. But the last version of libid3tag were released in 2004, so I wouldn't chase upstream to update it...

Package approved!


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later) (with incorrect FSF address)", "Unknown or generated".
     2 files have unknown license. Detailed output of licensecheck in
     /home/valtri/fedora-scm/REVIEWS/mingw-libid3tag/1076456-mingw-
     libid3tag/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 81920 bytes in 10 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: The placement of pkgconfig(.pc) files are correct.
     Note: mingw32-libid3tag : /usr/i686-w64-mingw32/sys-
     root/mingw/lib/pkgconfig/id3tag.pc mingw64-libid3tag :
     /usr/x86_64-w64-mingw32/sys-root/mingw/lib/pkgconfig/id3tag.pc
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: mingw32-libid3tag-0.15.1b-15.fc21.noarch.rpm
          mingw64-libid3tag-0.15.1b-15.fc21.noarch.rpm
          mingw-libid3tag-0.15.1b-15.fc21.src.rpm
mingw32-libid3tag.noarch: E: incorrect-fsf-address /usr/i686-w64-mingw32/sys-root/mingw/include/id3tag.h
mingw32-libid3tag.noarch: E: incorrect-fsf-address /usr/share/doc/mingw32-libid3tag/COPYING
mingw32-libid3tag.noarch: E: incorrect-fsf-address /usr/share/doc/mingw32-libid3tag/COPYRIGHT
mingw64-libid3tag.noarch: E: incorrect-fsf-address /usr/share/doc/mingw64-libid3tag/COPYING
mingw64-libid3tag.noarch: E: incorrect-fsf-address /usr/x86_64-w64-mingw32/sys-root/mingw/include/id3tag.h
mingw64-libid3tag.noarch: E: incorrect-fsf-address /usr/share/doc/mingw64-libid3tag/COPYRIGHT
3 packages and 0 specfiles checked; 6 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint mingw32-libid3tag mingw64-libid3tag
mingw32-libid3tag.noarch: E: incorrect-fsf-address /usr/i686-w64-mingw32/sys-root/mingw/include/id3tag.h
mingw32-libid3tag.noarch: E: incorrect-fsf-address /usr/share/doc/mingw32-libid3tag/COPYING
mingw32-libid3tag.noarch: E: incorrect-fsf-address /usr/share/doc/mingw32-libid3tag/COPYRIGHT
mingw64-libid3tag.noarch: E: incorrect-fsf-address /usr/share/doc/mingw64-libid3tag/COPYING
mingw64-libid3tag.noarch: E: incorrect-fsf-address /usr/x86_64-w64-mingw32/sys-root/mingw/include/id3tag.h
mingw64-libid3tag.noarch: E: incorrect-fsf-address /usr/share/doc/mingw64-libid3tag/COPYRIGHT
2 packages and 0 specfiles checked; 6 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
mingw32-libid3tag (rpmlib, GLIBC filtered):
    mingw32(kernel32.dll)
    mingw32(msvcrt.dll)
    mingw32(user32.dll)
    mingw32(zlib1.dll)
    mingw32-crt
    mingw32-filesystem
    mingw32-pkg-config

mingw64-libid3tag (rpmlib, GLIBC filtered):
    mingw64(kernel32.dll)
    mingw64(msvcrt.dll)
    mingw64(user32.dll)
    mingw64(zlib1.dll)
    mingw64-crt
    mingw64-filesystem
    mingw64-pkg-config



Provides
--------
mingw32-libid3tag:
    mingw32(libid3tag-0.dll)
    mingw32-libid3tag

mingw64-libid3tag:
    mingw64(libid3tag-0.dll)
    mingw64-libid3tag



Source checksums
----------------
http://downloads.sourceforge.net/mad/libid3tag-0.15.1b.tar.gz :
  CHECKSUM(SHA256) this package     : 63da4f6e7997278f8a3fef4c6a372d342f705051d1eeb6a46a86b03610e26151
  CHECKSUM(SHA256) upstream package : 63da4f6e7997278f8a3fef4c6a372d342f705051d1eeb6a46a86b03610e26151


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1076456
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 4 David King 2014-06-24 12:57:49 UTC
New Package SCM Request
=======================
Package Name: mingw-libid3tag
Short Description: ID3 tag manipulation library
Upstream URL: http://www.underbit.com/products/mad/
Owners: amigadave
Branches: f20
InitialCC:

Comment 5 David King 2014-06-24 12:58:16 UTC
Thanks for the review!

Comment 6 Gwyn Ciesla 2014-06-24 13:03:06 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2014-06-24 13:46:20 UTC
mingw-libid3tag-0.15.1b-18.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mingw-libid3tag-0.15.1b-18.fc20

Comment 8 Fedora Update System 2014-06-24 23:23:20 UTC
mingw-libid3tag-0.15.1b-18.fc20 has been pushed to the Fedora 20 testing repository.

Comment 9 Fedora Update System 2014-07-03 04:07:17 UTC
mingw-libid3tag-0.15.1b-18.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.